RSBENCH(1)

NAME
rsbench - benchmark and test for librsb

SYNOPSIS
rsbench [--bench] [OPTIONS]
rsbench [ -o OPCODE] [ -O {subprogram-code}] [ {subprogram-specific-arguments} ]

DESCRIPTION
rsbench is a swiss army knife for testing the library functionality and performance.

Choose {subprogram-code} among:

    r for the reference benchmark (will produce a machine specific file)

    c for the complete benchmark

    e for the matrix experimentation code

    d for a single matrix dumpout

    b for the (current, going to be obsoleted) benchmark

    t for some matrix construction tests

    o obsolete, will soon be removed

{subprogram-specific-arguments} will be available from the subprograms.

e.g.: rsbench
    -O b -h will show the current benchmark subprogram's options

e.g.: rsbench -o a -O b -h
    will show the spmv benchmark subprogram's options

e.g.: rsbench -o n -O b -h
    will show the negation benchmark subprogram's options

The default {subprogram-code} is 'b'

    With OPCODE among 'actinS'

  rsbench where OPTIONS are taken from :

-h              --help
    --bench

-o --matrix-operation <arg>

-O --subprogram-operation <arg>

-I --information

-C --configuration

-H --hardware-counters

-M --memory-benchmark

-e --experiments

-v --version

-B --blas-testing

-Q --quick-blas-testing <arg>

-E --error-testing <arg>

-F --fp-bench

-t              --transpose-test
    --limits-testing

-G --guess-blocking

-g              --generate-matrix
    --plot-matrix --matrix-ls --matrix-ls-latex

-P              --matrix-print <arg>
    --read-performance-record <arg> --help-read-performance-record --setenv <arg>

Arguments to --want-autotune of the format "Ss[Xx[Tt[V[V]]]]", where S is the autotuning time in seconds, X is the number of tries, T the number of starting threads, V can be either q for quiet autotuning or v for a verbose one (can be specified twice). Valid examples: 3.0s2x4tv, 3.0s2x0tq, 3.0s, 2.0s10x . See documentation of rsb_tune_spmm for a full explanation of these parameters role in auto-tuning.

AUTHOR
Written by michelemartone_AT_users_DOT_sourceforge_DOT_net.

REPORTING BUGS
Report bugs to michelemartone_AT_users_DOT_sourceforge_DOT_net.

COPYRIGHT
Copyright © 2008-2022 Michele Martone.